REM #LUp: 09.01.2020/J.Fes List JobParameter

 if "%~1" equ "" goto :JobParam_List_NO
 if "%~2" equ "" goto :JobParam_List_NO
 REM -- #Doc: OK goto List JobParam
 goto :JobParam_List

:JobParam_List_NO
 Echo "%ParmListTitle% Job has NO parameter"
 goto :eof

:JobParam_List
 setlocal
  set ParmListTitle=%~1
  set JobParams=%~2
  rem " ersetzen durch '
  set JobParams=%JobParams:"='%
  set NCur=0
:JobParam_List_PrintNext
  set /a NCur=%NCur%+1
  FOR /F "tokens=%NCur% delims=-" %%i IN ("%JobParams%") do Call :JobParam_Print "%%i"
  if %NCur% LEQ 10 goto :JobParam_List_PrintNext
 endlocal
 goto :eof

:JobParam_Print
 setlocal
  set JobParaCur=%~1
  if "%NCur%" equ "1" (
                            Call Echo "%ParmListTitle% -%JobParaCur%"
  ) else (
   if "%JobParaCur%" neq "" Call Echo "................................: -%JobParaCur%"
  )
 endlocal
 goto :eof
